%bcond_without  tests

%global         srcname     azure-loganalytics

Name:           python-%{srcname}
Version:        0.1.0
Release:    1%{?dist}
Summary:        Microsoft Azure Log Analytics Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(msrestazure)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Log Analytics Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

sed -i '/azure-namespace-package/d' setup.cfg
rm -f azure_bdist_wheel.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

rm -rf %{buildroot}%{python3_sitelib}/azure/{__init__.py,__pycache__}

%pyproject_save_files azure


%check

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/azure/loganalytics
%{python3_sitelib}/azure_loganalytics-%{version}.dist-info


%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.0-1
- initial build
